> ## Documentation Index
> Fetch the complete documentation index at: https://docs.0xarchive.io/llms.txt
> Use this file to discover all available pages before exploring further.

# LatencyResponse Schema

> Latency metrics response. Includes required fields, field types, schema references, and generated JSON details from the 0xArchive OpenAPI contract.

Source OpenAPI: 0xArchive API 1.5.0; 140 paths; 119 component schemas.

Latency metrics response

## Required Fields

No required fields are declared on this component schema.

## JSON Schema

```json theme={"theme":"github-dark"}
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "title": "LatencyResponse",
  "description": "Latency metrics response",
  "type": "object",
  "properties": {
    "exchanges": {
      "description": "Latency entries for supported venue-family keys. The response field remains named `exchanges` in the API contract.",
      "type": "object",
      "additionalProperties": {
        "description": "Latency metrics for one supported venue-family key.",
        "type": "object",
        "properties": {
          "data_freshness": {
            "description": "Data freshness metrics",
            "type": "object",
            "properties": {
              "fills_lag_ms": {
                "type": "integer",
                "nullable": true
              },
              "funding_lag_ms": {
                "type": "integer",
                "nullable": true
              },
              "oi_lag_ms": {
                "type": "integer",
                "nullable": true
              },
              "orderbook_lag_ms": {
                "type": "integer",
                "nullable": true
              }
            }
          },
          "rest_api": {
            "nullable": true,
            "allOf": [
              {
                "type": "object",
                "properties": {
                  "avg_1h_ms": {
                    "type": "integer"
                  },
                  "avg_24h_ms": {
                    "type": "integer"
                  },
                  "current_ms": {
                    "type": "integer"
                  }
                }
              }
            ]
          },
          "websocket": {
            "nullable": true,
            "allOf": [
              {
                "type": "object",
                "properties": {
                  "avg_1h_ms": {
                    "type": "integer"
                  },
                  "avg_24h_ms": {
                    "type": "integer"
                  },
                  "current_ms": {
                    "type": "integer"
                  },
                  "p99_24h_ms": {
                    "type": "integer",
                    "nullable": true
                  }
                }
              }
            ]
          }
        }
      }
    },
    "measured_at": {
      "type": "string",
      "format": "date-time"
    }
  }
}
```

## Referenced By

* [GET /v1/data-quality/latency](/schemas/operations/get-latency-metrics)
